Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class Point

[frames | no frames]

## Class Point

    ColorOnlyMixin --+
                     |
        DrawObject --+
                     |
     XYObjectMixin --+
                     |
                    Point

The Point class takes a 2-tuple, or a (2,) NumPy array of point coordinates.

The Diameter is in screen points, not world coordinates, So the Bounding box is just the point, and doesn't include the Diameter.

The HitLineWidth is used as diameter for the Hit Test.

Method Summary
| `__init__(self, XY, Color, Diameter, InForeground)`
| `SetDiameter(self, Diameter)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:31 2007 | http://epydoc.sf.net